package com.example.mynotepad.MenuFeatures.AllNotes.NotesDataBase;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;
@Entity
public class DateEntity {
    @PrimaryKey(autoGenerate = true)
    int ID;
    @ColumnInfo(name = "date")
    String date ;
    @ColumnInfo(name = "description")
    String description;
    @ColumnInfo(name = "achieved")
    boolean isAchieved;

    public DateEntity(String date , String description , boolean isAchieved){
        this.date = date;
        this.description = description;
        this.isAchieved = isAchieved;
    }


    public int getID() {
        return ID;
    }

    public String getDate() {
        return date;
    }

    public String getDescription() {
        return description;
    }

    public boolean isAchieved(){
        return isAchieved;
    }
}