package com.example.mynotepad.MenuFeatures.AllNotes.NotesDataBase;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;

@Dao
public interface DateNoreDAO {

    // a method list type
    @Query("SELECT * FROM DateEntity")
    List<DateEntity> getAllDateNotes();

    //insert data in database
    @Insert
    void insertDateNote(DateEntity dateEntity);

    @Delete
    void deleteDateNote(DateEntity dateEntity);

    @Update
    void updateDateNote(DateEntity dateEntity);


}
